#
# spec file for package ghc-tzdata
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name tzdata
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.1.20161123.0
Release:        1.11
Summary:        Time zone database (as files and as a module)
License:        Apache-2.0
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-vector-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
BuildRequires:  ghc-test-framework-th-devel
BuildRequires:  ghc-unix-devel
%endif

%description
The goal of this package is to distribute the standard Time Zone Database in a
cabal package, so that it can be used in Haskell programs uniformly on all
platforms.

This package currently ships the '2016j' version of the time zone database.
The version of the time zone database shipped is always reflected in the
version of this package: 'x.y.YYYYMMDD.z', then 'YYYYMMDD' is the official
release date of time zone database.

See: <http://www.iana.org/time-zones> for more info about the time zone
database.

See also the 'tz' package <http://hackage.haskell.org/package/tz> or the
'timezone-olson' and 'timezone-series' packages that provide facilities to
/use/ the data shipped here. (The 'tz' package automatically installs this
package.).

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/Chile
%dir %{_datadir}/%{pkg_name}-%{version}/Etc
%dir %{_datadir}/%{pkg_name}-%{version}/Canada
%dir %{_datadir}/%{pkg_name}-%{version}/Indian
%dir %{_datadir}/%{pkg_name}-%{version}/Africa
%dir %{_datadir}/%{pkg_name}-%{version}/Asia
%dir %{_datadir}/%{pkg_name}-%{version}/Antarctica
%dir %{_datadir}/%{pkg_name}-%{version}/Europe
%dir %{_datadir}/%{pkg_name}-%{version}/America
%dir %{_datadir}/%{pkg_name}-%{version}/America/Kentucky
%dir %{_datadir}/%{pkg_name}-%{version}/America/North_Dakota
%dir %{_datadir}/%{pkg_name}-%{version}/America/Argentina
%dir %{_datadir}/%{pkg_name}-%{version}/America/Indiana
%dir %{_datadir}/%{pkg_name}-%{version}/Mexico
%dir %{_datadir}/%{pkg_name}-%{version}/Brazil
%dir %{_datadir}/%{pkg_name}-%{version}/Atlantic
%dir %{_datadir}/%{pkg_name}-%{version}/Arctic
%dir %{_datadir}/%{pkg_name}-%{version}/Australia
%dir %{_datadir}/%{pkg_name}-%{version}/Pacific
%dir %{_datadir}/%{pkg_name}-%{version}/US
%{_datadir}/%{pkg_name}-%{version}/*.tab
%{_datadir}/%{pkg_name}-%{version}/*.zone
%{_datadir}/%{pkg_name}-%{version}/Chile/*.zone
%{_datadir}/%{pkg_name}-%{version}/Etc/*.zone
%{_datadir}/%{pkg_name}-%{version}/Canada/*.zone
%{_datadir}/%{pkg_name}-%{version}/Indian/*.zone
%{_datadir}/%{pkg_name}-%{version}/Africa/*.zone
%{_datadir}/%{pkg_name}-%{version}/Asia/*.zone
%{_datadir}/%{pkg_name}-%{version}/Antarctica/*.zone
%{_datadir}/%{pkg_name}-%{version}/Europe/*.zone
%{_datadir}/%{pkg_name}-%{version}/America/*.zone
%{_datadir}/%{pkg_name}-%{version}/America/Kentucky/*.zone
%{_datadir}/%{pkg_name}-%{version}/America/North_Dakota/*.zone
%{_datadir}/%{pkg_name}-%{version}/America/Argentina/*.zone
%{_datadir}/%{pkg_name}-%{version}/America/Indiana/*.zone
%{_datadir}/%{pkg_name}-%{version}/Mexico/*.zone
%{_datadir}/%{pkg_name}-%{version}/Brazil/*.zone
%{_datadir}/%{pkg_name}-%{version}/Atlantic/*.zone
%{_datadir}/%{pkg_name}-%{version}/Arctic/*.zone
%{_datadir}/%{pkg_name}-%{version}/Australia/*.zone
%{_datadir}/%{pkg_name}-%{version}/Pacific/*.zone
%{_datadir}/%{pkg_name}-%{version}/US/*.zone

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md

%changelog
* Sun Feb  5 2017 psimons@suse.com
- Update to version 0.1.20161123.0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.1.20160614.0 revision 0 with cabal2obs.
